/[gentoo-x86]/sys-auth/polkit/ChangeLog
Gentoo

Contents of /sys-auth/polkit/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.107 - (show annotations) (download)
Mon Oct 15 02:40:17 2012 UTC (22 months, 2 weeks ago) by zmedico
Branch: MAIN
Changes since 1.106: +4 -2 lines
Set QA_MULTILIB_PATHS for bug #424423.

(Portage version: 2.2.0_alpha138/cvs/Linux i686, signed Manifest commit with key 0xAE5719A3)

1 # ChangeLog for sys-auth/polkit
2 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.106 2012/10/09 22:14:44 jer Exp $
4
5 15 Oct 2012; Zac Medico <zmedico@gentoo.org> polkit-0.107-r1.ebuild:
6 Set QA_MULTILIB_PATHS for bug #424423.
7
8 09 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.107-r1.ebuild:
9 Marked ~hppa (bug #436668).
10
11 08 Oct 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.107-r1.ebuild:
12 Use pax-mark in src_compile() instead of src_install() for src_test() wrt
13 #423927 by "kensington" and "Nikoli". Punt bogus RESTRICT for multilib-strict
14 and emphatize it's an Portage issue instead of polkit issue in src_install()
15 message.
16
17 07 Oct 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
18 Stable for amd64, wrt bug #436666
19
20 *polkit-0.107-r1 (20 Sep 2012)
21
22 20 Sep 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107-r1.ebuild,
23 +files/polkit-0.107-fallback.patch:
24 Introduce upstream patch for falling back to uid 0 for authentication if list
25 of admin identities is empty.
26
27 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.105.ebuild,
28 -polkit-0.106-r7.ebuild:
29 old
30
31 *polkit-0.107 (13 Jul 2012)
32
33 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107.ebuild:
34 Version bump.
35
36 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r5.ebuild,
37 -polkit-0.106-r6.ebuild:
38 old
39
40 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r7.ebuild:
41 Remove USE="debug" because --enable/--disable-verbose-mode is no-op wrt
42 #391865 by Maksim Melnikau
43
44 *polkit-0.106-r7 (02 Jul 2012)
45
46 02 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r7.ebuild:
47 RESTRICT="multilib-strict" since it's not compatible with the whole
48 /usr/libexec -> /usr/lib/$package migration wrt #424423. This will move
49 polkit-agent-helper-1 and polkitd back to /usr/lib/polkit-1.
50
51 *polkit-0.106-r6 (01 Jul 2012)
52
53 01 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r6.ebuild:
54 Fix hardcoded path to "lib" in polkitagentsession.c for systems without the
55 /usr/lib to /usr/lib64 symlink.
56
57 30 Jun 2012; <swift@gentoo.org> polkit-0.104-r1.ebuild, polkit-0.105.ebuild,
58 polkit-0.106-r5.ebuild:
59 Adding dependency on SELinux policykit module if USE=selinux is set
60
61 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r5.ebuild:
62 pax-mark polkitd only when spidermonkey is built with JIT enabled and only
63 'm' instead of 'mr' when version is >= 1.8.7 (by using has_version check)
64
65 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r2.ebuild,
66 -polkit-0.106-r3.ebuild, -polkit-0.106-r4.ebuild:
67 old
68
69 *polkit-0.106-r5 (27 Jun 2012)
70
71 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r5.ebuild:
72 Revert entire unix-group:wheel experiment back to unix-user:0 because
73 PolicyKit agent(s) don't behave correctly with it wrt #423733 by Travis
74 Hansen. Revert system-local-login to system-auth for PAM errors wrt #423487
75 by Doug Goldstein.
76
77 *polkit-0.106-r4 (27 Jun 2012)
78
79 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild:
80 Stop installing polkit-backend-1.pc because upstream changed
81 libpolkit-backend-1.la to be noinst_LTLIBRARIES in
82 src/polkitbackend/Makefile.am wrt #423431 by Pim Vullers
83
84 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r3.ebuild:
85 Redefine libprivdir in install for multilib-strict wrt #423381 by Michael
86 Palimaka
87
88 *polkit-0.106-r3 (25 Jun 2012)
89
90 25 Jun 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
91 +polkit-0.106-r3.ebuild:
92 pax-mark polkitd to fix crashes on hardened/PaX systems.
93
94 23 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
95 Convert pkg_postinst() message about polkitd home directory to new
96 user.eclass function esethome().
97
98 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
99 Check for mozjs187.pc for >=dev-lang/spidermonkey-1.8.7 compability.
100
101 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
102 Adapt to sys-auth/pambase with USE="systemd" wrt #372229 by Michał Górny
103
104 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r1.ebuild:
105 old
106
107 *polkit-0.106-r2 (17 Jun 2012)
108
109 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r2.ebuild:
110 Revision bump to chown /var/lib/polkit-1 because diropts has no effect on
111 existing directories.
112
113 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106.ebuild:
114 old
115
116 *polkit-0.106-r1 (17 Jun 2012)
117
118 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r1.ebuild:
119 Update /etc/pam.d/polkit-1 from system-login to system-local-login. Use
120 unix-group "adm" for administrators. Use /var/lib/polkit-1 as home directory
121 for unix-user polkitd. Update owners of /etc/polkit-1/rules.d and
122 /usr/share/polkit-1/rules.d to polkitd:root wrt #420269.
123
124 13 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106.ebuild:
125 Pull in dev-lang/spidermonkey >= 1.8.5 and dev-libs/glib >= 2.32 wrt
126 #420173 and #420307.
127
128 *polkit-0.106 (07 Jun 2012)
129
130 07 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106.ebuild:
131 Version bump.
132
133 20 May 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.105.ebuild:
134 Improve systemd handling wrt #416317 by Christoph Brill
135
136 *polkit-0.105 (14 May 2012)
137
138 14 May 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.105.ebuild:
139 Version bump.
140
141 04 May 2012; Jeff Horelick <jdhore@gentoo.org> polkit-0.104-r1.ebuild:
142 dev-util/pkgconfig -> virtual/pkgconfig
143
144 18 Apr 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.102.ebuild,
145 -polkit-0.103.ebuild, -polkit-0.104.ebuild:
146 old
147
148 25 Mar 2012; Raúl Porcel <armin76@gentoo.org> polkit-0.104-r1.ebuild:
149 ia64/sh/sparc stable wrt #401513
150
151 09 Mar 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.104-r1.ebuild:
152 ppc/ppc64 stable wrt #401513
153
154 17 Feb 2012; Tobias Klausmann <klausman@gentoo.org> polkit-0.104-r1.ebuild:
155 Stable on alpha, bug #401513
156
157 17 Feb 2012; Thomas Kahle <tomka@gentoo.org> polkit-0.104-r1.ebuild:
158 marked x86 per bug 401513
159
160 13 Feb 2012; Markus Meier <maekke@gentoo.org> polkit-0.104-r1.ebuild:
161 arm stable, bug #401513
162
163 02 Feb 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild:
164 Stable for HPPA (bug #401513).
165
166 30 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.104-r1.ebuild:
167 Stable for AMD64, wrt security bug #401513
168
169 *polkit-0.104-r1 (30 Jan 2012)
170
171 30 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104-r1.ebuild:
172 Restore the default value of AdminIdentities from "wheel" to "0" like it was
173 in polkit-0.102 and ones before that. You should see files
174 50-localauthority.conf and 60-gentoo.conf in
175 /etc/polkit-1/localauthority.conf.d. You should also familiarize yourself
176 with "man 8 pklocalauthority" as soon as possible.
177
178 29 Jan 2012; Markus Meier <maekke@gentoo.org> polkit-0.103.ebuild:
179 arm stable, bug #397755
180
181 07 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.103.ebuild:
182 Stable for AMD64, wrt bug #397755
183
184 *polkit-0.104 (05 Jan 2012)
185
186 05 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104.ebuild,
187 metadata.xml:
188 Version bump.
189
190 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.101-r1.ebuild:
191 old
192
193 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.102.ebuild:
194 ppc/ppc64 stable wrt #387163
195
196 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.103.ebuild:
197 Raise dev-libs/glib depend to at least 2.30 wrt #393579 by Matt Palermo
198
199 *polkit-0.103 (07 Dec 2011)
200
201 07 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.103.ebuild:
202 Version bump. Remove unrequired keepdir of /var/run/polkit-1 wrt #387903 by
203 "i.Dark_Templar"
204
205 05 Nov 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.102.ebuild:
206 alpha/arm/ia64/sh/sparc stable wrt #387163
207
208 29 Oct 2011; Markus Meier <maekke@gentoo.org> polkit-0.102.ebuild:
209 arm stable, bug #387163
210
211 19 Oct 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.102.ebuild:
212 Stable for HPPA (bug #387163).
213
214 18 Oct 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> polkit-0.102.ebuild:
215 x86 stable wrt bug #387163
216
217 15 Oct 2011; Markos Chandras <hwoarang@gentoo.org> polkit-0.102.ebuild:
218 Stable on amd64 wrt bug #387163
219
220 28 Aug 2011; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.101-r1.ebuild,
221 polkit-0.102.ebuild:
222 pambase[consolekit] support is needed to use polkit with pam, add to PDEPEND
223
224 *polkit-0.102 (06 Aug 2011)
225
226 06 Aug 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.102.ebuild:
227 Version bump.
228
229 10 Jul 2011; Matt Turner <mattst88@gentoo.org> polkit-0.101-r1.ebuild:
230 Added ~mips, bug 296548
231
232 14 May 2011; Gilles Dartiguelongue <eva@gentoo.org> polkit-0.101-r1.ebuild:
233 Add missing dtd to DEPEND, bug #355505.
234
235 30 Apr 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.101-r1.ebuild:
236 alpha/arm/ia64/sh/sparc stable wrt #364973
237
238 28 Apr 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
239 polkit-0.101-r1.ebuild:
240 x86 stable wrt security bug #364973
241
242 27 Apr 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.101-r1.ebuild:
243 Stable for HPPA (bug #364973).
244
245 27 Apr 2011; Christoph Mende <angelos@gentoo.org> polkit-0.101-r1.ebuild:
246 Stable on amd64 wrt bug #364973
247
248 27 Apr 2011; Kacper Kowalik <xarthisius@gentoo.org> polkit-0.101-r1.ebuild:
249 ppc/ppc64 stable wrt #364973
250
251 *polkit-0.101-r1 (25 Apr 2011)
252
253 25 Apr 2011; Nirbheek Chauhan <nirbheek@gentoo.org> -polkit-0.100.ebuild,
254 +polkit-0.101-r1.ebuild:
255 Add patches for CVE-2011-1485, remove vulnerable 0.100 version
256
257 22 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> polkit-0.99-r1.ebuild:
258 ppc/ppc64 stable wrt #354509
259
260 19 Mar 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.99-r1.ebuild:
261 alpha/ia64/sh/sparc stable wrt #354509
262
263 15 Mar 2011; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.101.ebuild:
264 PDEPEND on 0.101 version of polkit-gnome
265
266 13 Mar 2011; Markus Meier <maekke@gentoo.org> polkit-0.99-r1.ebuild:
267 arm stable, bug #354509
268
269 *polkit-0.101 (11 Mar 2011)
270
271 11 Mar 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.101.ebuild:
272 Version bump.
273
274 07 Mar 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.99-r1.ebuild:
275 Stable for HPPA (bug #354509).
276
277 04 Mar 2011; Thomas Kahle <tomka@gentoo.org> polkit-0.99-r1.ebuild:
278 x86 stable per bug 354509
279
280 23 Feb 2011; Markos Chandras <hwoarang@gentoo.org> polkit-0.99-r1.ebuild:
281 Stable on amd64 wrt bug #354509
282
283 *polkit-0.100 (23 Feb 2011)
284
285 23 Feb 2011; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.100.ebuild:
286 Bump to 0.100
287
288 24 Jan 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.99-r1.ebuild:
289 USE="kde" to pull in authentication agent for KDE.
290
291 21 Jan 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.99-r1.ebuild:
292 Marked ~hppa (bug #296548).
293
294 *polkit-0.99-r1 (25 Dec 2010)
295
296 25 Dec 2010; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.99-r1.ebuild:
297 Revision bump to remove static archives (.a) and libtool archives (.la).
298 USE="gtk" to pull in authentication agent for GTK+ based desktops.
299
300 *polkit-0.99 (25 Sep 2010)
301
302 25 Sep 2010; <nirbheek@gentoo.org> +polkit-0.99.ebuild:
303 Bump to 0.99, masked due to >=glib-2.25 requirement
304
305 18 Aug 2010; Markus Meier <maekke@gentoo.org> polkit-0.96-r1.ebuild:
306 arm stable, bug #314899
307
308 14 Aug 2010; Raúl Porcel <armin76@gentoo.org> polkit-0.96-r1.ebuild,
309 polkit-0.96-r2.ebuild:
310 alpha/ia64/sh/sparc stable
311
312 09 Aug 2010; Joseph Jezak <josejx@gentoo.org> polkit-0.96-r1.ebuild:
313 Marked ppc/ppc64 stable.
314
315 25 Jul 2010; Tobias Klausmann <klausman@gentoo.org> polkit-0.96-r2.ebuild:
316 Stable on alpha, bug #329621
317
318 20 Jul 2010; Jeroen Roovers <jer@gentoo.org> polkit-0.96.ebuild,
319 polkit-0.96-r1.ebuild, polkit-0.96-r2.ebuild:
320 Stable for HPPA (bug #314899).
321
322 20 Jul 2010; Jeroen Roovers <jer@gentoo.org> polkit-0.96.ebuild,
323 polkit-0.96-r1.ebuild, polkit-0.96-r2.ebuild:
324 Drop HPPA keywording (bug #324511).
325
326 07 Jul 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96-r1.ebuild,
327 polkit-0.96-r2.ebuild:
328 Add ewarn about ensuring that consolekit sessions are working. Either the
329 user needs to login using a login-manager with consolekit support, or use
330 ck-launch-session to launch the DE as suggested in bug 291116 comment 13
331
332 *polkit-0.96-r2 (02 Jul 2010)
333
334 02 Jul 2010; Nirbheek Chauhan <nirbheek@gentoo.org>
335 +polkit-0.96-r2.ebuild, metadata.xml:
336 USE=expat was quite useless, expat is mandatory in polkit. Don't create
337 user 'polkituser', it was used by policykit, but isn't by polkit. Also,
338 add introspection support
339
340 04 Jun 2010; Markus Meier <maekke@gentoo.org> polkit-0.96-r1.ebuild:
341 x86 stable, bug #314899
342
343 03 May 2010; Olivier Crête <tester@gentoo.org> polkit-0.96-r1.ebuild:
344 amd64 stable, bug #314899
345
346 25 Apr 2010; Raúl Porcel <armin76@gentoo.org> polkit-0.96.ebuild,
347 polkit-0.96-r1.ebuild:
348 Add ~sh
349
350 13 Apr 2010; Alexis Ballier <aballier@gentoo.org> polkit-0.96-r1.ebuild,
351 +files/polkit-0.96-getcwd.patch:
352 Fix build on fbsd and keyword it x86-fbsd
353
354 25 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96.ebuild,
355 polkit-0.96-r1.ebuild:
356 Raise gtk-doc{,-am} dependencies. Fixes bug 311085
357
358 21 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org>
359 -files/polkit-0.93-fix-daemon-name.patch, -polkit-0.94.ebuild,
360 -polkit-0.95.ebuild:
361 Remove old
362
363 *polkit-0.96-r1 (21 Mar 2010)
364
365 21 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org>
366 +polkit-0.96-r1.ebuild:
367 Update with newer version of polkit-shadow patch
368
369 07 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96.ebuild:
370 Fix minor problems with SRC_URI
371
372 07 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96.ebuild:
373 Add experimental shadow support, bug 291116 . Patch thanks to the
374 slackware folks.
375
376 28 Feb 2010; Raúl Porcel <armin76@gentoo.org> polkit-0.96.ebuild:
377 Add ~alpha/~arm/~ia64/~sparc
378
379 16 Feb 2010; Joseph Jezak <josejx@gentoo.org> polkit-0.96.ebuild:
380 Marked ~ppc/~ppc64 for bug #296548.
381
382 *polkit-0.96 (23 Jan 2010)
383
384 23 Jan 2010; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.96.ebuild:
385 Version bump to 0.96; lots of bugfixes, see NEWS
386
387 06 Jan 2010; Jeroen Roovers <jer@gentoo.org> polkit-0.95.ebuild:
388 Marked ~hppa (bug #296548).
389
390 11 Dec 2009; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.95.ebuild:
391 Add sys-auth/consolekit-0.4.0[polkit] to PDEPEND; needed for checking if
392 the user is in an active/local session via dbus methods
393
394 *polkit-0.95 (14 Nov 2009)
395
396 14 Nov 2009; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.95.ebuild:
397 Bump to 0.95 -- new lockdown API, last dev version till 1.0
398
399 30 Oct 2009; Nirbheek Chauhan <nirbheek@gentoo.org>
400 -files/polkit-0.92-zsh-completions.patch, polkit-0.94.ebuild:
401 Remove zsh-completion (bug 291114), force pam support on (bug 291116)
402
403 *polkit-0.94 (29 Oct 2009)
404
405 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
406 +files/polkit-0.92-zsh-completions.patch,
407 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild,
408 +metadata.xml:
409 Initial ebuild for GNOME 2.28.

  ViewVC Help
Powered by ViewVC 1.1.20